Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface ED

All Superinterfaces:
  ANY, BIN1, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ADXP, AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType, EnDelimiter, EnFamily, EnGiven, EnPrefix, EnSuffix, ENXP, SC, ST1, Thumbnail

All Known Implementing Classes:
  AdxpAdditionalLocatorImpl, AdxpBuildingNumberSuffixImpl, AdxpCareOfImpl, AdxpCensusTractImpl, AdxpCityImpl, AdxpCountryImpl, AdxpCountyImpl, AdxpDelimiterImpl, AdxpDeliveryAddressLineImpl, AdxpDeliveryInstallationAreaImpl, AdxpDeliveryInstallationQualifierImpl, AdxpDeliveryInstallationTypeImpl, AdxpDeliveryModeIdentifierImpl, AdxpDeliveryModeImpl, AdxpDirectionImpl, AdxpHouseNumberImpl, AdxpHouseNumberNumericImpl, ADXPImpl, AdxpPostalCodeImpl, AdxpPostBoxImpl, AdxpPrecinctImpl, AdxpStateImpl, AdxpStreetAddressLineImpl, AdxpStreetNameBaseImpl, AdxpStreetNameImpl, AdxpStreetNameTypeImpl, AdxpUnitIDImpl, AdxpUnitTypeImpl, EDImpl, EnDelimiterImpl, EnFamilyImpl, EnGivenImpl, EnPrefixImpl, EnSuffixImpl, ENXPImpl, SCImpl, ST1Impl, ThumbnailImpl

    public interface ED

extends BIN1

A representation of the model object 'ED'. Data that is primarily intended for human interpretation or for further machine processing is outside the scope of HL7. This includes unformatted or formatted written language, multimedia data, or structured information as defined by a different standard (e.g., XML-signatures.) Instead of the data itself, an ED may contain only a reference (see TEL.) Note that the ST data type is a specialization of the ED data type when the ED media type is text/plain.

The following features are supported:

- `Mixed`
- `Reference`
- `Thumbnail`
- `Compression`
- `Integrity Check`
- `Integrity Check Algorithm`
- `Language`
- `Media Type`

See Also:
  `CDAR2Package.getED()`

Method Summary
`CompressionAlgorithm` | `getCompression()` Returns the value of the 'Compression' attribute.
`byte[]` | `getIntegrityCheck()` Returns the value of the 'Integrity Check' attribute.
`IntegrityCheckAlgorithm` | `getIntegrityCheckAlgorithm()` Returns the value of the 'Integrity Check Algorithm' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`java.lang.String` | `getMediaType()` Returns the value of the 'Media Type' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`TEL` | `getReference()` Returns the value of the 'Reference' containment reference.
`Thumbnail` | `getThumbnail()` Returns the value of the 'Thumbnail' containment reference.
`boolean` | `isSetCompression()` Returns whether the value of the '`Compression`' attribute is set.
`boolean` | `isSetIntegrityCheckAlgorithm()` Returns whether the value of the '`Integrity Check Algorithm`' attribute is set.
`boolean` | `isSetMediaType()` Returns whether the value of the '`Media Type`' attribute is set.
`void` | `setCompression(CompressionAlgorithm value)` Sets the value of the '`Compression`' attribute.
`void` | `setIntegrityCheck(byte[] value)` Sets the value of the '`Integrity Check`' attribute.
`void` | `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm value)` Sets the value of the '`Integrity Check Algorithm`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setMediaType(java.lang.String value)` Sets the value of the '`Media Type`' attribute.
`void` | `setReference(TEL value)` Sets the value of the '`Reference`' containment reference.
`void` | `setThumbnail(Thumbnail value)` Sets the value of the '`Thumbnail`' containment reference.
`void` | `unsetCompression()` Unsets the value of the '`Compression`' attribute.
`void` | `unsetIntegrityCheckAlgorithm()` Unsets the value of the '`Integrity Check Algorithm`' attribute.
`void` | `unsetMediaType()` Unsets the value of the '`Media Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getED_Mixed()`

### getReference

    TEL getReference()

  Returns the value of the 'Reference' containment reference. A telecommunication address (TEL), such as a URL for HTTP or FTP, which will resolve to precisely the same binary data that could as well have been provided as inline data.

  Returns:
    the value of the 'Reference' containment reference.
  See Also:
    `setReference(TEL)`, `CDAR2Package.getED_Reference()`

### setReference

    void setReference(TEL value)

  Sets the value of the '`Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Reference' containment reference.
  See Also:
    `getReference()`

### getThumbnail

    Thumbnail getThumbnail()

  Returns the value of the 'Thumbnail' containment reference.

  If the meaning of the 'Thumbnail' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Thumbnail' containment reference.
  See Also:
    `setThumbnail(Thumbnail)`, `CDAR2Package.getED_Thumbnail()`

### setThumbnail

    void setThumbnail(Thumbnail value)

  Sets the value of the '`Thumbnail`' containment reference.

  Parameters:
    `value` - the new value of the 'Thumbnail' containment reference.
  See Also:
    `getThumbnail()`

### getCompression

    CompressionAlgorithm getCompression()

  Returns the value of the 'Compression' attribute. The default value is `"DF"`. The literals are from the enumeration `CompressionAlgorithm`. Indicates whether the raw byte data is compressed, and what compression algorithm was used.

  Returns:
    the value of the 'Compression' attribute.
  See Also:
    `CompressionAlgorithm`, `isSetCompression()`, `unsetCompression()`, `setCompression(CompressionAlgorithm)`, `CDAR2Package.getED_Compression()`

### setCompression

    void setCompression(CompressionAlgorithm value)

  Sets the value of the '`Compression`' attribute.

  Parameters:
    `value` - the new value of the 'Compression' attribute.
  See Also:
    `CompressionAlgorithm`, `isSetCompression()`, `unsetCompression()`, `getCompression()`

### unsetCompression

    void unsetCompression()

  Unsets the value of the '`Compression`' attribute.

  See Also:
    `isSetCompression()`, `getCompression()`, `setCompression(CompressionAlgorithm)`

### isSetCompression

    boolean isSetCompression()

  Returns whether the value of the '`Compression`' attribute is set.

  Returns:
    whether the value of the 'Compression' attribute is set.
  See Also:
    `unsetCompression()`, `getCompression()`, `setCompression(CompressionAlgorithm)`

### getIntegrityCheck

    byte[] getIntegrityCheck()

  Returns the value of the 'Integrity Check' attribute. The integrity check is a short binary value representing a cryptographically strong checksum that is calculated over the binary data. The purpose of this property, when communicated with a reference is for anyone to validate later whether the reference still resolved to the same data that the reference resolved to when the encapsulated data value with reference was created.

  Returns:
    the value of the 'Integrity Check' attribute.
  See Also:
    `setIntegrityCheck(byte[])`, `CDAR2Package.getED_IntegrityCheck()`

### setIntegrityCheck

    void setIntegrityCheck(byte[] value)

  Sets the value of the '`Integrity Check`' attribute.

  Parameters:
    `value` - the new value of the 'Integrity Check' attribute.
  See Also:
    `getIntegrityCheck()`

### getIntegrityCheckAlgorithm

    IntegrityCheckAlgorithm getIntegrityCheckAlgorithm()

  Returns the value of the 'Integrity Check Algorithm' attribute. The default value is `"SHA-1"`. The literals are from the enumeration `IntegrityCheckAlgorithm`. Specifies the algorithm used to compute the integrityCheck value.

  Returns:
    the value of the 'Integrity Check Algorithm' attribute.
  See Also:
    `IntegrityCheckAlgorithm`, `isSetIntegrityCheckAlgorithm()`, `unsetIntegrityCheckAlgorithm()`, `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`, `CDAR2Package.getED_IntegrityCheckAlgorithm()`

### setIntegrityCheckAlgorithm

    void setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm value)

  Sets the value of the '`Integrity Check Algorithm`' attribute.

  Parameters:
    `value` - the new value of the 'Integrity Check Algorithm' attribute.
  See Also:
    `IntegrityCheckAlgorithm`, `isSetIntegrityCheckAlgorithm()`, `unsetIntegrityCheckAlgorithm()`, `getIntegrityCheckAlgorithm()`

### unsetIntegrityCheckAlgorithm

    void unsetIntegrityCheckAlgorithm()

  Unsets the value of the '`Integrity Check Algorithm`' attribute.

  See Also:
    `isSetIntegrityCheckAlgorithm()`, `getIntegrityCheckAlgorithm()`, `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`

### isSetIntegrityCheckAlgorithm

    boolean isSetIntegrityCheckAlgorithm()

  Returns whether the value of the '`Integrity Check Algorithm`' attribute is set.

  Returns:
    whether the value of the 'Integrity Check Algorithm' attribute is set.
  See Also:
    `unsetIntegrityCheckAlgorithm()`, `getIntegrityCheckAlgorithm()`, `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute. For character based information the language property specifies the human language of the text.

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getED_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getMediaType

    java.lang.String getMediaType()

  Returns the value of the 'Media Type' attribute. The default value is `"text/plain"`. Identifies the type of the encapsulated data and identifies a method to interpret or render the data.

  Returns:
    the value of the 'Media Type' attribute.
  See Also:
    `isSetMediaType()`, `unsetMediaType()`, `setMediaType(String)`, `CDAR2Package.getED_MediaType()`

### setMediaType

    void setMediaType(java.lang.String value)

  Sets the value of the '`Media Type`' attribute.

  Parameters:
    `value` - the new value of the 'Media Type' attribute.
  See Also:
    `isSetMediaType()`, `unsetMediaType()`, `getMediaType()`

### unsetMediaType

    void unsetMediaType()

  Unsets the value of the '`Media Type`' attribute.

  See Also:
    `isSetMediaType()`, `getMediaType()`, `setMediaType(String)`

### isSetMediaType

    boolean isSetMediaType()

  Returns whether the value of the '`Media Type`' attribute is set.

  Returns:
    whether the value of the 'Media Type' attribute is set.
  See Also:
    `unsetMediaType()`, `getMediaType()`, `setMediaType(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD